Classes | List of all members
clan::PrimitivesArrayProvider Class Referenceabstract
clanDisplay Display

Interface for implementing a PrimitivesArray target. More...

`#include <primitives_array_provider.h>`

## Classes
class | VertexData

## Public Member Functions
Construction
virtual | ~PrimitivesArrayProvider ()
Operations
virtual void | set_attribute (int index, const VertexData &data, bool normalize=false)=0
| Sets a vertex attribute. More...

## Detailed Description

Interface for implementing a PrimitivesArray target.

## Member Function Documentation

virtual void clan::PrimitivesArrayProvider::set_attribute | ( | int | index,
|  | const VertexData & | data,
|  | bool | normalize = `false`
| ) |  |
| pure virtual

Sets a vertex attribute.

The documentation for this class was generated from the following file:

- primitives_array_provider.h